package com.ruoyi.bst.realName.service;

import java.util.List;

import com.ruoyi.bst.realName.domain.RealName;
import com.ruoyi.bst.realName.domain.RealNameQuery;
import com.ruoyi.bst.realName.domain.RealNameVO;
import com.ruoyi.bst.realName.domain.dto.RealNameTowEleDTO;
import com.ruoyi.bst.realName.domain.refresh.RealNameRefreshVO;
import com.ruoyi.bst.realName.domain.vo.RealNameFaceVO;

/**
 * 实名认证信息Service接口
 *
 * @author ruoyi
 * @date 2025-03-29
 */
public interface RealNameService
{
    /**
     * 查询实名认证信息
     *
     * @param id 实名认证信息主键
     * @return 实名认证信息
     */
    public RealNameVO selectRealNameById(Long id);

    /**
     * 查询实名认证信息列表
     *
     * @param realName 实名认证信息
     * @return 实名认证信息集合
     */
    public List<RealNameVO> selectRealNameList(RealNameQuery realName);

    /**
     * 新增实名认证信息
     *
     * @param realName 实名认证信息
     * @return 结果
     */
    public int insertRealName(RealName realName);


    /**
     * 批量删除实名认证信息
     *
     * @param ids 需要删除的实名认证信息主键集合
     * @return 结果
     */
    public int deleteRealNameByIds(List<Long> ids);

    /**
     * 删除实名认证信息信息
     *
     * @param id 实名认证信息主键
     * @return 结果
     */
    public int deleteRealNameById(Long id);

    /**
     * 人脸实名认证
     * @param realName
     * @return
     */
    RealNameFaceVO faceRealName(RealName realName);

    /**
     * 刷新用户实名认证结果
     * @param userId
     * @return
     */
    RealNameRefreshVO refreshRealName(Long userId);

    /**
     * 二要素实名认证
     * @param dto
     * @return
     */
    int twoElementRealName(RealNameTowEleDTO dto);
}
